##########################################################################
# Copyright 2002 MBARI                                             
##########################################################################
# Summary  : Makefile for Cluster
# Filename : Makefile
# Author   : Frederic Py
# Project  : 
# Version  : Version 1.0
# Created  : 12/01/2006
# Archived :
##########################################################################
# Modification History:
#
##########################################################################

DMEM = NO

include ../Init.make

INCLUDES    = -I.  \
	      -I$(AUV_HOME)/stlport \
	      -I/usr/include

LDFLAGS	    = -g
LIBPATH	    = 

LIBS        =   

OBJS        = 	dmem.o

TARGETS =	dmem.lib

-include ../../autonomy.make # this file contains the general
                       # modifications we want to apply to
                       # all the modules 


all: $(TARGETS)

dmem.lib: $(OBJS)
	$(AR) $@ +- $(OBJS)

##########################################################################
# Do not modify anything below this line unless absolutely necessary

.SUFFIXES:
.SUFFIXES:	.o .c .cc .d .idl

%.d: %.cc
	    @echo Generating dependencies for $?
	    @$(DEPEND_TOOL) $(DBG) $(INCLUDES) $? -f $@ 

%.o: %.cc
	    $(CCPP) $(CPPFLAGS) $(INCLUDES) $< -o $@
	    @echo

DEST	    = .

MAKEFILE    = Makefile

include       $(OBJS:.o=.d)

depend:	

clean:
	rm -f core $(OBJS) $(OBJS:.o=.d) $(TARGETS) *~

update:
	cvs update $(CC_SRCS) $MAKEFILE

commit:
	cvs commit $(CC_SRCS) $MAKEFILE

##########################################################################









# DO NOT DELETE THIS LINE -- make depend depends on it.
